Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class TextEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.text.JTextComponent
                      javax.swing.JEditorPane
                          javax.swing.JTextPane
                              groovy.ui.text.TextEditor

All Implemented Interfaces:
  Pageable

    class TextEditor
    extends JTextPane

A simple text pane that is printable and wrapping is optional.

author:
  Evan "Hippy" Slatis

Nested Class Summary
`class` | `TextEditor.FindAction`
`class` | `TextEditor.OvertypeCaret` Paint a horizontal line the width of a column and 1 pixel high
`class` | `TextEditor.ReplaceAction`
`class` | `TextEditor.ShiftTabAction`
`class` | `TextEditor.TabAction`

Field Summary
`static String` | `AUTO_INDENT`
`static String` | `FIND`
`static String` | `FIND_NEXT`
`static String` | `FIND_PREVIOUS`
`static String` | `REPLACE`

Fields inherited from class JTextPane
W3C_LENGTH_UNITS, HONOR_DISPLAY_PROPERTIES, FOCUS_ACCELERATOR_KEY, DEFAULT_KEYMAP, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class JEditorPane
W3C_LENGTH_UNITS, HONOR_DISPLAY_PROPERTIES, FOCUS_ACCELERATOR_KEY, DEFAULT_KEYMAP, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class JTextComponent
FOCUS_ACCELERATOR_KEY, DEFAULT_KEYMAP, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class JComponent
WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Container
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Component
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Constructor Summary
`TextEditor()` Creates a new instance of TextEditor
`TextEditor(boolean tabsAsSpaces)` Creates a new instance of TextEditor
`TextEditor(boolean tabsAsSpaces, boolean multiLineTab)` Creates a new instance of TextEditor
`TextEditor(boolean tabsAsSpaces, boolean multiLineTab, boolean unwrapped)` Creates a new instance of TextEditor

Method Summary
`void` | `addNotify()`
`int` | `getNumberOfPages()`
`PageFormat` | `getPageFormat(int pageIndex)`
`Printable` | `getPrintable(int param)`
`boolean` | `getScrollableTracksViewportWidth()`
`boolean` | `isMultiLineTabbed()`
`void` | `isMultiLineTabbed(boolean multiLineTab)`
`static boolean` | `isOvertypeMode()`
`boolean` | `isTabsAsSpaces()`
`void` | `isTabsAsSpaces(boolean tabsAsSpaces)`
`boolean` | `isUnwrapped()`
`int` | `print(Graphics graphics, PageFormat pageFormat, int page)`
`protected void` | `processKeyEvent(KeyEvent e)`
`void` | `removeNotify()`
`void` | `replaceSelection(String text)`
`void` | `setBounds(int x, int y, int width, int height)`
`void` | `setOvertypeMode(boolean isOvertypeMode)` Set the caret to use depending on overtype/insert mode
`void` | `setUnwrapped(boolean unwrapped)`

Methods inherited from class JTextPane
getUIClassID, addStyle, getCharacterAttributes, getInputAttributes, getLogicalStyle, getParagraphAttributes, getStyle, getStyledDocument, insertComponent, insertIcon, removeStyle, replaceSelection, setCharacterAttributes, setDocument, setEditorKit, setLogicalStyle, setParagraphAttributes, setStyledDocument, read, getContentType, setContentType, getText, setText, getAccessibleContext, getPreferredSize, getEditorKit, getEditorKitClassNameForContentType, setEditorKitForContentType, addHyperlinkListener, createEditorKitForContentType, fireHyperlinkUpdate, getEditorKitForContentType, getHyperlinkListeners, getPage, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, registerEditorKitForContentType, registerEditorKitForContentType, removeHyperlinkListener, scrollToReference, setPage, setPage, write, getActions, print, print, print, copy, read, getText, removeNotify, addInputMethodListener, getInputMethodRequests, setComponentOrientation, getUI, isEditable, setEditable, setUI, updateUI, getToolTipText, getMargin, setMargin, getCaretColor, getDocument, getHighlighter, getNavigationFilter, getSelectedText, modelToView, viewToModel, getCaret, getCaretPosition, getSelectionEnd, getSelectionStart, setCaretPosition, addCaretListener, addKeymap, cut, getCaretListeners, getDisabledTextColor, getDragEnabled, getDropLocation, getDropMode, getFocusAccelerator, getKeymap, getKeymap, getPreferredScrollableViewportSize, getPrintable, getScrollableBlockIncrement, getScrollableUnitIncrement, getSelectedTextColor, getSelectionColor, loadKeymap, moveCaretPosition, paste, removeCaretListener, removeKeymap, select, selectAll, setCaret, setCaretColor, setDisabledTextColor, setDragEnabled, setDropMode, setFocusAccelerator, setHighlighter, setKeymap, setNavigationFilter, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, contains, getLocation, print, getSize, isOpaque, disable, enable, update, setEnabled, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, addNotify, getAlignmentX, getAlignmentY, getInsets, getInsets, getMaximumSize, getMinimumSize, paint, requestFocus, requestFocus, setFocusTraversalKeys, setFont, getBaseline, getBaselineResizeBehavior, getBounds, getFontMetrics, getGraphics, getHeight, getWidth, getX, getY, isDoubleBuffered, printAll, repaint, repaint, requestFocusInWindow, reshape, setBackground, setForeground, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, addAncestorListener, setOpaque, addVetoableChangeListener, computeVisibleRect, createToolTip, getActionForKeyStroke, getActionMap, getAncestorListeners, getAutoscrolls, getBorder, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, grabFocus, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setInheritsPopupMenu, setInputMap, setInputVerifier, setNextFocusableComponent, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, add, add, add, add, add, remove, remove, list, list, removeAll, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getMousePosition, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, add, toString, getName, contains, size, getLocation, getParent, remove, setName, list, list, list, getSize, setSize, setSize, resize, resize, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getForeground, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, setBounds, setBounds, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setIgnoreRepaint, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class JEditorPane
read, getContentType, setContentType, getText, setText, getAccessibleContext, getPreferredSize, getUIClassID, getEditorKit, getEditorKitClassNameForContentType, replaceSelection, setEditorKit, setEditorKitForContentType, addHyperlinkListener, createEditorKitForContentType, fireHyperlinkUpdate, getEditorKitForContentType, getHyperlinkListeners, getPage, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, registerEditorKitForContentType, registerEditorKitForContentType, removeHyperlinkListener, scrollToReference, setPage, setPage, write, getActions, print, print, print, copy, read, getText, removeNotify, addInputMethodListener, getInputMethodRequests, setComponentOrientation, getUI, isEditable, setEditable, setUI, updateUI, getToolTipText, getMargin, setMargin, getCaretColor, getDocument, getHighlighter, getNavigationFilter, getSelectedText, modelToView, viewToModel, getCaret, getCaretPosition, getSelectionEnd, getSelectionStart, setDocument, setCaretPosition, addCaretListener, addKeymap, cut, getCaretListeners, getDisabledTextColor, getDragEnabled, getDropLocation, getDropMode, getFocusAccelerator, getKeymap, getKeymap, getPreferredScrollableViewportSize, getPrintable, getScrollableBlockIncrement, getScrollableUnitIncrement, getSelectedTextColor, getSelectionColor, loadKeymap, moveCaretPosition, paste, removeCaretListener, removeKeymap, select, selectAll, setCaret, setCaretColor, setDisabledTextColor, setDragEnabled, setDropMode, setFocusAccelerator, setHighlighter, setKeymap, setNavigationFilter, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, contains, getLocation, print, getSize, isOpaque, disable, enable, update, setEnabled, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, addNotify, getAlignmentX, getAlignmentY, getInsets, getInsets, getMaximumSize, getMinimumSize, paint, requestFocus, requestFocus, setFocusTraversalKeys, setFont, getBaseline, getBaselineResizeBehavior, getBounds, getFontMetrics, getGraphics, getHeight, getWidth, getX, getY, isDoubleBuffered, printAll, repaint, repaint, requestFocusInWindow, reshape, setBackground, setForeground, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, addAncestorListener, setOpaque, addVetoableChangeListener, computeVisibleRect, createToolTip, getActionForKeyStroke, getActionMap, getAncestorListeners, getAutoscrolls, getBorder, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, grabFocus, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setInheritsPopupMenu, setInputMap, setInputVerifier, setNextFocusableComponent, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, add, add, add, add, add, remove, remove, list, list, removeAll, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getMousePosition, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, add, toString, getName, contains, size, getLocation, getParent, remove, setName, list, list, list, getSize, setSize, setSize, resize, resize, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getForeground, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, setBounds, setBounds, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setIgnoreRepaint, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class JTextComponent
write, getActions, print, print, print, copy, read, getText, getText, setText, getAccessibleContext, removeNotify, addInputMethodListener, getInputMethodRequests, setComponentOrientation, getUI, isEditable, setEditable, setUI, updateUI, getToolTipText, getMargin, setMargin, getCaretColor, getDocument, getHighlighter, getNavigationFilter, getSelectedText, modelToView, viewToModel, getCaret, getCaretPosition, getSelectionEnd, getSelectionStart, replaceSelection, setDocument, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, setCaretPosition, addCaretListener, addKeymap, cut, getCaretListeners, getDisabledTextColor, getDragEnabled, getDropLocation, getDropMode, getFocusAccelerator, getKeymap, getKeymap, getPreferredScrollableViewportSize, getPrintable, getScrollableBlockIncrement, getScrollableUnitIncrement, getSelectedTextColor, getSelectionColor, loadKeymap, moveCaretPosition, paste, removeCaretListener, removeKeymap, select, selectAll, setCaret, setCaretColor, setDisabledTextColor, setDragEnabled, setDropMode, setFocusAccelerator, setHighlighter, setKeymap, setNavigationFilter, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, contains, getLocation, print, getSize, isOpaque, disable, enable, update, setEnabled, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, addNotify, getAlignmentX, getAlignmentY, getInsets, getInsets, getMaximumSize, getMinimumSize, getPreferredSize, paint, requestFocus, requestFocus, setFocusTraversalKeys, setFont, getBaseline, getBaselineResizeBehavior, getBounds, getFontMetrics, getGraphics, getHeight, getWidth, getX, getY, isDoubleBuffered, printAll, repaint, repaint, requestFocusInWindow, reshape, setBackground, setForeground, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, addAncestorListener, getUIClassID, setOpaque, addVetoableChangeListener, computeVisibleRect, createToolTip, getActionForKeyStroke, getActionMap, getAncestorListeners, getAutoscrolls, getBorder, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, grabFocus, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setInheritsPopupMenu, setInputMap, setInputVerifier, setNextFocusableComponent, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, add, add, add, add, add, remove, remove, list, list, removeAll, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getMousePosition, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, add, toString, getName, contains, size, getLocation, getParent, remove, setName, list, list, list, getSize, setSize, setSize, resize, resize, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getForeground, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, setBounds, setBounds, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setIgnoreRepaint, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class JComponent
contains, getLocation, print, getSize, isOpaque, disable, enable, update, setEnabled, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, addNotify, getAccessibleContext, getAlignmentX, getAlignmentY, getInsets, getInsets, getMaximumSize, getMinimumSize, getPreferredSize, paint, removeNotify, requestFocus, requestFocus, setFocusTraversalKeys, setFont, getBaseline, getBaselineResizeBehavior, getBounds, getFontMetrics, getGraphics, getHeight, getWidth, getX, getY, isDoubleBuffered, printAll, repaint, repaint, requestFocusInWindow, reshape, setBackground, setForeground, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, addAncestorListener, getUIClassID, setOpaque, updateUI, addVetoableChangeListener, computeVisibleRect, createToolTip, getActionForKeyStroke, getActionMap, getAncestorListeners, getAutoscrolls, getBorder, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, grabFocus, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setInheritsPopupMenu, setInputMap, setInputVerifier, setNextFocusableComponent, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, add, add, add, add, add, remove, remove, list, list, removeAll, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getMousePosition, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, add, toString, getName, contains, size, getLocation, getParent, remove, setName, list, list, list, getSize, setSize, setSize, resize, resize, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getForeground, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setIgnoreRepaint, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Container
add, add, add, add, add, remove, remove, list, list, print, removeAll, update, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getListeners, getComponentCount, getComponentAt, getComponentAt, addContainerListener, addNotify, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paint, paintComponents, preferredSize, printComponents, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, getSize, getSize, setSize, setSize, resize, resize, isOpaque, disable, enable, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, setEnabled, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getAccessibleContext, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, requestFocus, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Component
add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, list, list, print, getSize, getSize, setSize, setSize, resize, resize, isOpaque, disable, enable, enable, update, isValid, location, action, setLocation, setLocation, setLocale, validate, getLocale, invalidate, setEnabled, isEnabled, layout, show, show, hide, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getListeners, getPropertyChangeListeners, getPropertyChangeListeners, getComponentAt, getComponentAt, addNotify, applyComponentOrientation, areFocusTraversalKeysSet, deliverEvent, dispatchEvent, doLayout, getAccessibleContext, getAlignmentX, getAlignmentY, getFocusCycleRootAncestor, getFocusTraversalKeys, getFont, getGraphicsConfiguration, getMaximumSize, getMinimumSize, getMousePosition, getPeer, getPreferredSize, getTreeLock, handleEvent, isDisplayable, isFocusCycleRoot, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, locate, minimumSize, paint, postEvent, preferredSize, removeNotify, requestFocus, setFocusTraversalKeys, setFont, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### AUTO_INDENT

    static final String AUTO_INDENT

### FIND

    static final String FIND

### FIND_NEXT

    static final String FIND_NEXT

### FIND_PREVIOUS

    static final String FIND_PREVIOUS

### REPLACE

    static final String REPLACE

Constructor Detail

### TextEditor

    public TextEditor()

  Creates a new instance of TextEditor

### TextEditor

    public TextEditor(boolean tabsAsSpaces)

  Creates a new instance of TextEditor

### TextEditor

    public TextEditor(boolean tabsAsSpaces, boolean multiLineTab)

  Creates a new instance of TextEditor

### TextEditor

    public TextEditor(boolean tabsAsSpaces, boolean multiLineTab, boolean unwrapped)

  Creates a new instance of TextEditor

Method Detail

### addNotify

    public void addNotify()

### getNumberOfPages

    public int getNumberOfPages()

### getPageFormat

    public PageFormat getPageFormat(int pageIndex)

### getPrintable

    public Printable getPrintable(int param)

### getScrollableTracksViewportWidth

    public boolean getScrollableTracksViewportWidth()

### isMultiLineTabbed

    public boolean isMultiLineTabbed()

### isMultiLineTabbed

    public void isMultiLineTabbed(boolean multiLineTab)

  param:
    multiLineTab

### isOvertypeMode

    public static boolean isOvertypeMode()

### isTabsAsSpaces

    public boolean isTabsAsSpaces()

### isTabsAsSpaces

    public void isTabsAsSpaces(boolean tabsAsSpaces)

  param:
    tabsAsSpaces

### isUnwrapped

    public boolean isUnwrapped()

### print

    public int print(Graphics graphics, PageFormat pageFormat, int page)

### processKeyEvent

    protected void processKeyEvent(KeyEvent e)

### removeNotify

    public void removeNotify()

### replaceSelection

    public void replaceSelection(String text)

### setBounds

    public void setBounds(int x, int y, int width, int height)

### setOvertypeMode

    public void setOvertypeMode(boolean isOvertypeMode)

  Set the caret to use depending on overtype/insert mode
  param:
    isOvertypeMode

### setUnwrapped

    public void setUnwrapped(boolean unwrapped)

  param:
    unwrapped

Copyright © 2003-2009 The Codehaus. All rights reserved.